<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/valid_decimal_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/08/85  valid_decimal_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in valid_decimal_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry:  valid_decimal_: 03/08/85  valid_decimal_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function:
<span id="L12" class="LineNr">12 </span>The valid_decimal_ subroutine tests decimal data for validity.
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Syntax:
<span id="L16" class="LineNr">16 </span>declare valid_decimal_ entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span> returns
<span id="L17" class="LineNr">17 </span>     <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr">18 </span>b = valid_decimal_ <span class="textRainbow_lv0_p0">(</span>dtype<span class="textRainbow_lv0_o0">,</span> dptr<span class="textRainbow_lv0_o0">,</span> dprec<span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Arguments:
<span id="L22" class="LineNr">22 </span>dtype
<span id="L23" class="LineNr">23 </span>   is the data type descriptor of the decimal data.  It must be one of
<span id="L24" class="LineNr">24 </span>   the following:  9-12, 29, 30, 35-36, 38-39, 41-46 81-84.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L25" class="LineNr">25 </span>dptr
<span id="L26" class="LineNr">26 </span>   is a pointer to the data to be tested for validity.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>dprec
<span id="L28" class="LineNr">28 </span>   is the precision of the data.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>b
<span id="L30" class="LineNr">30 </span>   is the value returned by valid_decimal_.  It is &quot;1&quot;b if the data is
<span id="L31" class="LineNr">31 </span>   valid, &quot;0&quot;b otherwise.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>Notes:
<span id="L35" class="LineNr">35 </span>For decimal data to be valid, it must pass the following tests:
<span id="L36" class="LineNr">36 </span><span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>  The precision must be &gt; 0 and &lt;= 59;
<span id="L37" class="LineNr">37 </span><span class="textRainbow_lv0_p0">(</span>2<span class="textRainbow_lv0_p0">)</span>  The data type descriptor must be one handled by valid_decimal_;
<span id="L38" class="LineNr">38 </span><span class="textRainbow_lv0_p0">(</span>3<span class="textRainbow_lv0_p0">)</span>  If the data is stored as nonoverpunched 9-bit characters, then if
<span id="L39" class="LineNr">39 </span>     it has a sign, then the sign must be either &quot;+&quot; or &quot;-&quot;.  The
<span id="L40" class="LineNr">40 </span>     digits must all be one of the ASCII characters &quot;0123456789&quot;;
<span id="L41" class="LineNr">41 </span><span class="textRainbow_lv0_p0">(</span>4<span class="textRainbow_lv0_p0">)</span>  If the data is stored as overpunched 9-bit characters, then the
<span id="L42" class="LineNr">42 </span>     sign character must be either octal 173, 175, or in the range 101
<span id="L43" class="LineNr">43 </span>     to 122.  The remaining digits must all be one of the ASCII
<span id="L44" class="LineNr">44 </span>     characters &quot;0123456789&quot;;
<span id="L45" class="LineNr">45 </span><span class="textRainbow_lv0_p0">(</span>5<span class="textRainbow_lv0_p0">)</span>  If the data is stored as 4-bit characters, then if it has a sign,
<span id="L46" class="LineNr">46 </span>     then sign must be in the range &quot;1010&quot;b to &quot;1111&quot;b.  All digits
<span id="L47" class="LineNr">47 </span>     must be in the range &quot;0000&quot;b to &quot;1001&quot;b.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
